<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="init" />
<og:comment
	system   = "GE:エンジンサンプル"
	pgid     = "GE0008"
	title    = "ユーザーパラメーター"
	date     = "2007/12/12"
	author   = "K.HASEGAWA"
	text     = "ZZZZ"
	version  = "001"
/>

<!-- history.back() で戻るボタンを表示します。	-->
<jsp:directive.include file="/jsp/common/history_back.jsp" />

<og:columnCheck command="{@command}" />
<og:entry command="{@command}" />

<!-- 物理削除以外の場合は、自身の行が、活動中かどうかをﾁｪｯｸします。 -->
<og:equals val1="DELETE" val2="{@sqlType}" notEquals="true" >
	<og:dataCheck
		dbid	= "{@MEM.DBID}"
		command = "{@command}"
		from	= "GE16"
		where	= "UNIQ=[UNIQ] AND SYSTEM_ID=[SYSTEM_ID] AND USERID=[USERID] AND PARAM_ID=[PARAM_ID] AND FGJ in ('0','1')"
		errRemove = "{@errRemove}"
	/>
</og:equals>

<!-- COPY の場合は、すでに、同一論理キーのデータが存在すれば、エラーにします。 -->
<og:equals val1="COPY" val2="{@sqlType}" >
	<og:dataCheck
		dbid	= "{@MEM.TO_DBID}"
		command = "{@command}"
		exist	= "false"
		from	= "GE16"
		where	= "SYSTEM_ID=[SYSTEM_ID] AND USERID=[USERID] AND PARAM_ID=[PARAM_ID] AND FGJ in ('0','1')"
	/>

	<!-- メモリ内での重複ﾁｪｯｸ -->
	<og:dataCheck
		dbid			= "{@MEM.TO_DBID}"
		command			= "{@command}"
		uniqCheckClms	= "SYSTEM_ID,USERID,PARAM_ID"
	/>
</og:equals>

<og:tableUpdate
	dbid			= "{@MEM.DBID}"
	command			= "{@command}"
	queryType		= "JDBCTableUpdate">
	<og:tableUpdateParam
		sqlType			= "{@sqlType}"
		table			= "GE16"
		where			= "UNIQ = [UNIQ]"
		names			= "SYSTEM_ID,USERID,PARAM_ID,PARAM"
		logicalDelete	= "{@logicalDelete}"
	/>
</og:tableUpdate>

<og:engine allClear = "true" />

<og:forward page="result.jsp" keys="command" vals="RENEW" />
<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
